<?xml version="1.0" encoding="utf-8"?>
<!--
* XML config file for textbox plugin
*
* @version		$Id: parameters.xml 319 2009-09-08 15:06:51Z dr_drsh $
* @package		Joomla
* @subpackage	JForms
* @copyright	Copyright (C) 2008 Mostafa Muhammad. All rights reserved.
* @license		GNU/GPL
-->
<form>
	<name>Textbox plugin parameters</name>
	<params>
		<param name="label" description='JFORMSPLUGINFIELDLABEL' label="Label" type="text" default='Textbox' valueType='string' translate='1'  />
		<param name="css" description='JFORMSPLUGINFIELDCSS' label="CSS Class" type="text" default='jftextbox' valueType='string' translate='0' />
		<param name="useCss" description='JFORMSPLUGINFIELDUSECSS' label="Style using CSS only" type="list" default='0' valueType='integer' translate='0'>
			<option value='1'>Yes</option>
			<option value='0'>No</option>
		</param>
		<param name="maxLength" description='JFORMSTEXTMAXLENGTH' label="Maximum length" type="text" default='50' valueType='integer' translate='0' />
		<param name="required" description='JFORMSPLUGINFIELDREQUIRED' label="Required" type="list" default='0' valueType='integer' translate='0'>
			<option value='1'>Yes</option>
			<option value='0'>No</option>
		</param>
		<param name="isUserEmail" description='JFORMSTEXTISUEMAIL' label="User E-mail?" type="list" default='0' valueType='integer' translate='0'>
			<option value='1'>Yes</option>
			<option value='0'>No</option>
		</param>
		<param name="validation" description='JFORMSTEXTVALIDATION' type="list" label="Validation" default='NoValidation' valueType='string' translate='0'>
			<option value='NoValidation'>No validation</option>
			<option value='Email'>E-mail</option>
			<option value='AlphaNumeric'>Alphanumeric</option>
			<option value='Numeric'>Numeric</option>
			<option value='ZipCode'>Zip Code</option>
			<option value='Other'>Other (Specify)</option>
		</param>
		<param name="altValidation" description='JFORMSTEXTALTVALIDATION' label="Other validation rule" type="text" default='' valueType='string' translate='0' />
		<param name="lh" type="hidden" valueType='integer' default='16' translate='0' />
		<param name="lw" type="hidden" valueType='integer' default='70' translate='0' />
		<param name="ch" type="hidden" valueType='integer' default='16' translate='0' />
		<param name="cw" type="hidden" valueType='integer' default='200' translate='0' />	
		<param name="hash" type="hidden" valueType='string' default='' translate='0' />
		<param name="defaultValue" type="hidden" valueType='string' default='' translate='1' />
	</params>
</form>